Show / Hide Table of Contents

# Class JobGaugeBase<T>

Base job gauge class.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<T>
ASTGauge
BLMGauge
BRDGauge
DNCGauge
DRGGauge
DRKGauge
GNBGauge
MCHGauge
MNKGauge
NINGauge
PLDGauge
RDMGauge
SAMGauge
SCHGauge
SMNGauge
WARGauge
WHMGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class JobGaugeBase<T> : JobGaugeBase where T : struct

##### Type Parameters

Name | Description
--- | ---
T | The underlying FFXIVClientStructs type.